JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
File::NaturalFileComparator Struct Reference
juce_core » files

Comparator for files. More...

`#include <juce_File.h>`

## Public Member Functions
| NaturalFileComparator (bool shouldPutFoldersFirst) noexcept
int | compareElements (const File &firstFile, const File &secondFile) const

## Public Attributes
bool | foldersFirst

## Detailed Description

Comparator for files.

## Constructor & Destructor Documentation

## ◆ NaturalFileComparator()

File::NaturalFileComparator::NaturalFileComparator | ( | bool | shouldPutFoldersFirst | ) |
| noexcept

## Member Function Documentation

## ◆ compareElements()

int File::NaturalFileComparator::compareElements | ( | const File & | firstFile,
|  | const File & | secondFile ) const

References String::compareNatural(), File::getFullPathName(), and File::isDirectory().

## Member Data Documentation

## ◆ foldersFirst

bool File::NaturalFileComparator::foldersFirst

The documentation for this struct was generated from the following file:

- juce_File.h